- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: 8bc48805-0ac1-404a-ab0f-01c859673670
    creation_time: '2024-08-01T21:39:51+02:00'
    producer:
      name: Automizer
      version: 0.2.4-wip.fs.yaml-violation-witnesses-bf1304b-m
    task:
      input_files:
      - /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
      input_file_hashes:
        /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: 32bit
      language: C
  content:
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 30
          column: 5
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 31
          column: 3
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 32
          column: 31
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 18
          column: 3
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 32
          column: 31
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 33
          column: 45
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 18
          column: 3
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 33
          column: 45
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 34
          column: 34
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 18
          column: 3
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: function_return
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 34
          column: 34
          function: main
        action: follow
  - segment:
    - waypoint:
        type: function_enter
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 35
          column: 35
          function: main
        action: follow
  - segment:
    - waypoint:
        type: branching
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 18
          column: 3
          function: __VERIFIER_assert
        action: follow
  - segment:
    - waypoint:
        type: target
        location:
          file_name: /storage/repos/ultimate/trunk/examples/svcomp/loop-invgen/id_trans.i
          file_hash: 6aaead44d7f76ddac498383f5d9663622bc4506781697c14d3a4988231066e32
          line: 19
          column: 13
          function: __VERIFIER_assert
        action: follow
